cppcms::serializable_base Class Referenceabstract

Base abstract class for object that can be serialized into std::string. More...

`#include <cppcms/serialization_classes.h>`

Inheritance diagram for cppcms::serializable_base:

## Public Member Functions

virtual void | load (archive &serialized_object)=0
virtual void | save (archive &serialized_object) const =0

## Detailed Description

Base abstract class for object that can be serialized into std::string.

## Member Function Documentation

virtual void cppcms::serializable_base::load | ( | archive & | serialized_object | ) |

pure virtual

Load object from archive

Implemented in cppcms::serializable.

virtual void cppcms::serializable_base::save | ( | archive & | serialized_object | ) | const

pure virtual

Save object to archive

Implemented in cppcms::serializable.

The documentation for this class was generated from the following file:

- cppcms/serialization_classes.h